Please blacklist "IBM Notes"

Bug #1077095 reported by Mark Russell on 2012-11-09
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
AppMenu GTK+
Fix Released
Low
Lars Karlitski
appmenu-gtk (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned
Quantal
Low
Unassigned
Raring
Low
Unassigned

Bug Description

Impact:
unity menus integration doesn't work for IBM Notes, disabling the integration gives working menu back

Test Case:
install "IBM Notes", verify that menus are not stripped to be exported to unity (since that doesn't work correctly)

Regression potential:
none, it's only added a name in the exclude list table

---

"Lotus Notes" is already on the blacklist, but Lotus Development is changing the g_set_prgname to "IBM Notes".

Can we please add "IBM Notes" (and keep "Lotus Notes") ?

Thanks.

Mark Russell (marrusl) wrote :

debdiff for raring

The attachment "appmenu-gtk.raring.debdiff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Mark Russell (marrusl) wrote :

The debdiff above works for q and r (same source package). Here is the debdiff for precise. Let me know if I goofed. Thanks!

Lars Karlitski (larsu) wrote :

Pushed upstream, thanks Mark!

Changed in appmenu-gtk:
status: New → Fix Committed
Changed in appmenu-gtk (Ubuntu Precise):
importance: Undecided → Low
Changed in appmenu-gtk (Ubuntu Quantal):
importance: Undecided → Low
Changed in appmenu-gtk (Ubuntu Raring):
importance: Undecided → Low
Changed in appmenu-gtk (Ubuntu Precise):
status: New → Triaged
Changed in appmenu-gtk (Ubuntu Quantal):
status: New → Triaged
Changed in appmenu-gtk (Ubuntu Raring):
status: New → Triaged
Charles Kerr (charlesk) on 2012-11-16
Changed in appmenu-gtk:
assignee: nobody → Lars Uebernickel (larsu)
Changed in appmenu-gtk (Ubuntu Precise):
status: Triaged → In Progress
Changed in appmenu-gtk (Ubuntu Quantal):
status: Triaged → In Progress
description: updated
Changed in appmenu-gtk:
importance: Undecided → Low
Sebastien Bacher (seb128) wrote :

Thanks Mark, sorry I didn't see your raring debdiff before uploaded there, I sponsored your precise one though and did apply the change for quantal as well, it's in the queue waiting for review from the SRU team next

Sebastien Bacher (seb128) wrote :

(in fact there is already a SRU in the quantal queue so waiting for this one)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package appmenu-gtk - 12.10.2-0ubuntu3

---------------
appmenu-gtk (12.10.2-0ubuntu3) raring; urgency=low

  * src/bridge.c: backport r162, don't use appmenus for "IBM Notes"
    (lp: #1077095)
 -- Sebastien Bacher <email address hidden> Fri, 16 Nov 2012 17:04:01 +0100

Changed in appmenu-gtk (Ubuntu Raring):
status: Triaged → Fix Released

Hello Mark, or anyone else affected,

Accepted appmenu-gtk into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/appmenu-gtk/0.3.92-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in appmenu-gtk (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Adam Stokes (adam-stokes) wrote :

Our testing has reported successfully with blacklisting 'IBM Notes' the menus are not stripped.

Thank you
Adam

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package appmenu-gtk - 0.3.92-0ubuntu1.1

---------------
appmenu-gtk (0.3.92-0ubuntu1.1) precise-proposed; urgency=low

  * Add multiarch support (LP: #932860)

  [ Mark Russell ]
  * Add "IBM Notes" to blacklist (LP: #1077095)
 -- Adam Stokes <email address hidden> Thu, 08 Nov 2012 17:59:03 -0500

Changed in appmenu-gtk (Ubuntu Precise):
status: Fix Committed → Fix Released
Mark Russell (marrusl) wrote :

Debdiff for quantal. Thanks!

Mark Russell (marrusl) wrote :

Oops. Reread the bug. Disregard the debdiff above; this change is already in the proposed upload queue just like seb128 said.

Hello Mark, or anyone else affected,

Accepted appmenu-gtk into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/appmenu-gtk/12.10.2-0ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in appmenu-gtk (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Adam Stokes (adam-stokes) wrote :

Testing for Quantal complete and the menus are not stripped as per the blacklist.

Thanks
Adam

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package appmenu-gtk - 12.10.2-0ubuntu1.3

---------------
appmenu-gtk (12.10.2-0ubuntu1.3) quantal-proposed; urgency=low

  * Add "IBM Notes" to blacklist (LP: #1077095)
 -- Mark Russell <email address hidden> Fri, 09 Nov 2012 14:06:32 -0500

Changed in appmenu-gtk (Ubuntu Quantal):
status: Fix Committed → Fix Released
Lars Karlitski (larsu) on 2013-09-10
Changed in appmenu-gtk:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers